package de.titusgames.jglest.model;

/**
 * helping class for GTerrain
 * 
 * @author tscharn
 * 
 */
public class GPlayer
{
   int     playerNumber;
   int     startPosX;
   int     startPosY;
   Integer teamNumber = null; // always==playerNumber in orifinal glest

   public GPlayer()
   {
      super();
   }

   public int getPlayerNumber()
   {
      return playerNumber;
   }

   public void setPlayerNumber(int playerNumber)
   {
      this.playerNumber = playerNumber;
      if (teamNumber == null)
         setTeamNumber(playerNumber);
   }

   public int getStartPosX()
   {
      return startPosX;
   }

   public void setStartPosX(int startPosX)
   {
      this.startPosX = startPosX;
   }

   public int getStartPosY()
   {
      return startPosY;
   }

   public void setStartPosY(int startPosY)
   {
      this.startPosY = startPosY;
   }

   public int getTeamNumber()
   {
      return teamNumber;
   }

   public void setTeamNumber(int teamNumber)
   {
      this.teamNumber = teamNumber;
   }

}
