package de.titusgames.jglest.tileset;

import com.jme.math.Vector3f;

public class TilesetParameters
{
   TilesetWater   water = new TilesetWater();
   TilesetWeather weather;
   Vector3f       sunlightRGB;
   Vector3f       moonlightRGB;
   float          daynight;
   TilesetFog     fog;

   public TilesetParameters()
   {
      super();
   }

   public float getDaynight()
   {
      return daynight;
   }

   public void setDaynight(float daynight)
   {
      this.daynight = daynight;
   }

   public TilesetFog getFog()
   {
      return fog;
   }

   public void setFog(TilesetFog fog)
   {
      this.fog = fog;
   }

   public Vector3f getMoonlightRGB()
   {
      return moonlightRGB;
   }

   public void setMoonlightRGB(Vector3f moonlightRGB)
   {
      this.moonlightRGB = moonlightRGB;
   }

   public Vector3f getSunlightRGB()
   {
      return sunlightRGB;
   }

   public void setSunlightRGB(Vector3f sunlightRGB)
   {
      this.sunlightRGB = sunlightRGB;
   }

   public TilesetWater getWater()
   {
      return water;
   }

   public void setWater(TilesetWater water)
   {
      this.water = water;
   }

   public TilesetWeather getWeather()
   {
      return weather;
   }

   public void setWeather(TilesetWeather weather)
   {
      this.weather = weather;
   }
}
