package de.titusgames.jglest.tools;

import java.util.Random;
/**
 * This class should be used for all access of random numbers in jglest.
 * Further implementations will be able to rollback the number generator!
 * @author tscharn
 *
 */
 
public class RandomTool
{
   Random random=new Random(25);
      
   public int getNextInt(int in)
   {
        return random.nextInt(in);
   }
   
   public int getNextInt()
   {
        return random.nextInt();
   }
   /**
    * returns the index of the float which was choosen
    * @param chances array of floats where the float represents a chance to choose this index 
    * @return
    */
   public int getNextInt(float[] chances)
   {
      int detaillevel=100;
      int r=getNextInt(100);
      int currentvalue=0;
      
      float check=0;
      for(int i=0;i<chances.length;i++)
      {
         System.out.println("chance"+i+"="+chances[i]);
         check+=chances[i];
      }
      if(check>1.0f)
      {
         throw new RuntimeException("sum of given floats must be lower than 1, but its "+check);
      }
      for(int i=0;i<chances.length;i++)
      {
         currentvalue=currentvalue+new Float(chances[i]*detaillevel).intValue();
         if(r<=currentvalue) return i;
      }
      return 0;
   }
}
